Package org.eclipse.jdt.ui.refactoring

## Interface IRefactoringProcessorIds

    public interface IRefactoringProcessorIds

Interface to define the processor IDs provided by the JDT refactoring.

This interface declares static final fields only; it is not intended to be implemented.

Since:
  3.0
See Also:
  `IRefactoringProcessorIds`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `COPY_PROCESSOR` Processor ID of the copy processor (value `"org.eclipse.jdt.ui.CopyProcessor"`).
`static String` `DELETE_PROCESSOR` Processor ID of the delete resource processor (value `"org.eclipse.jdt.ui.DeleteProcessor"`).
`static String` `MOVE_PROCESSOR` Processor ID of the move resource processor (value `"org.eclipse.jdt.ui.MoveProcessor"`).
`static String` `MOVE_STATIC_MEMBERS_PROCESSOR` Processor ID of the move static member processor (value `"org.eclipse.jdt.ui.MoveStaticMemberProcessor"`).
`static String` `RENAME_COMPILATION_UNIT_PROCESSOR` Processor ID of the rename compilation unit processor (value `"org.eclipse.jdt.ui.renameCompilationUnitProcessor"`).
`static String` `RENAME_ENUM_CONSTANT_PROCESSOR` Processor ID of the rename enum constant processor (value `"org.eclipse.jdt.ui.renameEnumConstProcessor"`).
`static String` `RENAME_FIELD_PROCESSOR` Processor ID of the rename field processor (value `"org.eclipse.jdt.ui.renameFieldProcessor"`).
`static String` `RENAME_JAVA_PROJECT_PROCESSOR` Processor ID of the rename Java project processor (value `"org.eclipse.jdt.ui.renameJavaProjectProcessor"`).
`static String` `RENAME_METHOD_PROCESSOR` Processor ID of the rename method processor (value `"org.eclipse.jdt.ui.renameMethodProcessor"`).
`static String` `RENAME_MODULE_PROCESSOR` Processor ID of the rename module processor (value `"org.eclipse.jdt.ui.renameModuleProcessor"`).
`static String` `RENAME_PACKAGE_FRAGMENT_PROCESSOR` Processor ID of the rename package fragment processor (value `"org.eclipse.jdt.ui.renamePackageProcessor"`).
`static String` `RENAME_RESOURCE_PROCESSOR` Processor ID of the rename resource processor (value `"org.eclipse.jdt.ui.renameResourceProcessor"`).
`static String` `RENAME_SOURCE_FOLDER_PROCESSOR` Processor ID of the rename source folder (value `"org.eclipse.jdt.ui.renameSourceFolderProcessor"`).
`static String` `RENAME_TYPE_PROCESSOR` Processor ID of the rename type processor (value `"org.eclipse.jdt.ui.renameTypeProcessor"`).

### Field Detail

#### RENAME_JAVA_PROJECT_PROCESSOR

    static final String RENAME_JAVA_PROJECT_PROCESSOR

Processor ID of the rename Java project processor (value `"org.eclipse.jdt.ui.renameJavaProjectProcessor"`). The rename Java project processor loads the following participants:

- participants registered for renaming `IJavaProject`.
- participants registered for renaming `IProject`.

See Also:
  Constant Field Values

#### RENAME_SOURCE_FOLDER_PROCESSOR

    static final String RENAME_SOURCE_FOLDER_PROCESSOR

Processor ID of the rename source folder (value `"org.eclipse.jdt.ui.renameSourceFolderProcessor"`). The rename package fragment root processor loads the following participants:

- participants registered for renaming `IPackageFragmentRoot`.
- participants registered for renaming `IFolder`.

See Also:
  Constant Field Values

#### RENAME_PACKAGE_FRAGMENT_PROCESSOR

    static final String RENAME_PACKAGE_FRAGMENT_PROCESSOR

Processor ID of the rename package fragment processor (value `"org.eclipse.jdt.ui.renamePackageProcessor"`). The rename package fragment processor loads the following participants:

- participants registered for renaming `IPackageFragment`.
- participants registered for moving `IFile` to participate in the file moves caused by the package fragment rename.
- participants registered for creating `IFolder` if the package rename results in creating a new destination folder.
- participants registered for deleting `IFolder` if the package rename results in deleting the folder corresponding to the package fragment to be renamed.

Since 3.3:

The refactoring processor moves and renames Java elements and resources. Rename package fragment participants can retrieve the new location of Java elements and resources through the interfaces `IJavaElementMapper` and `IResourceMapper`, which can be retrieved from the processor using the getAdapter() method.

See Also:
  Constant Field Values

#### RENAME_COMPILATION_UNIT_PROCESSOR

    static final String RENAME_COMPILATION_UNIT_PROCESSOR

Processor ID of the rename compilation unit processor (value `"org.eclipse.jdt.ui.renameCompilationUnitProcessor"`). The rename compilation unit processor loads the following participants:

- participants registered for renaming `ICompilationUnit`.
- participants registered for renaming `IFile`.
- participants registered for renaming `IType` if the compilation unit contains a top level type.

See Also:
  Constant Field Values

#### RENAME_TYPE_PROCESSOR

    static final String RENAME_TYPE_PROCESSOR

Processor ID of the rename type processor (value `"org.eclipse.jdt.ui.renameTypeProcessor"`). The rename type processor loads the following participants:

- participants registered for renaming `IType`.
- participants registered for renaming `ICompilationUnit` if the type is a public top level type.
- participants registered for renaming `IFile` if the compilation unit gets rename as well.

Since 3.2:

Participants that declare

     <param name="handlesSimilarDeclarations" value="false"/>

in their extension contribution will not be loaded if the user selects the "update similar declarations" feature.

Rename type participants can retrieve information about similar declarations by casting the RenameArguments to RenameTypeArguments. The new signatures of similar declarations (and of other Java elements or resources) are available through the interfaces `IJavaElementMapper` and `IResourceMapper`, which can be retrieved from the processor using the getAdapter() method.

See Also:
  Constant Field Values

#### RENAME_METHOD_PROCESSOR

    static final String RENAME_METHOD_PROCESSOR

Processor ID of the rename method processor (value `"org.eclipse.jdt.ui.renameMethodProcessor"`). The rename method processor loads the following participants:

- participants registered for renaming `IMethod`. Renaming virtual methods will rename methods with the same name in the type hierarchy of the type declaring the method to be renamed as well. For those derived methods participants will be loaded as well.

See Also:
  Constant Field Values

#### RENAME_FIELD_PROCESSOR

    static final String RENAME_FIELD_PROCESSOR

Processor ID of the rename field processor (value `"org.eclipse.jdt.ui.renameFieldProcessor"`). The rename filed processor loads the following participants:

- participants registered for renaming `IField`.
- participants registered for renaming `IMethod` if corresponding setter and getter methods are renamed as well.

See Also:
  Constant Field Values

#### RENAME_MODULE_PROCESSOR

    static final String RENAME_MODULE_PROCESSOR

Processor ID of the rename module processor (value `"org.eclipse.jdt.ui.renameModuleProcessor"`). The rename module processor loads the following participants:

- participants registered for renaming `IModuleDescription`.

Since:
  3.24
See Also:
  Constant Field Values

#### RENAME_ENUM_CONSTANT_PROCESSOR

    static final String RENAME_ENUM_CONSTANT_PROCESSOR

Processor ID of the rename enum constant processor (value `"org.eclipse.jdt.ui.renameEnumConstProcessor"`). The rename filed processor loads the following participants:

- participants registered for renaming `IField`.

Since:
  3.1
See Also:
  Constant Field Values

#### RENAME_RESOURCE_PROCESSOR

    static final String RENAME_RESOURCE_PROCESSOR

Processor ID of the rename resource processor (value `"org.eclipse.jdt.ui.renameResourceProcessor"`). The rename resource processor loads the following participants:

- participants registered for renaming `IResource`.

See Also:
  Constant Field Values

#### MOVE_PROCESSOR

    static final String MOVE_PROCESSOR

Processor ID of the move resource processor (value `"org.eclipse.jdt.ui.MoveProcessor"`). The move processor loads the following participants, depending on the type of element that gets moved:

- `IPackageFragmentRoot`: participants registered for moving package fragment roots together with participants moving a `IFolder` .
- `IPackageFragment`: participants registered for moving package fragments. Additionally move file, create folder and delete folder participants are loaded to reflect the resource changes caused by a moving a package fragment.
- `ICompilationUnit`: participants registered for moving compilation units and `IFile`. If the compilation unit contains top level types, participants for these types are loaded as well.
- `IResource`: participants registered for moving resources.

See Also:
  Constant Field Values

#### MOVE_STATIC_MEMBERS_PROCESSOR

    static final String MOVE_STATIC_MEMBERS_PROCESSOR

Processor ID of the move static member processor (value `"org.eclipse.jdt.ui.MoveStaticMemberProcessor"`). The move static members processor loads participants registered for the static Java element that gets moved. No support is available to participate in non static member moves.

See Also:
  Constant Field Values

#### DELETE_PROCESSOR

    static final String DELETE_PROCESSOR

Processor ID of the delete resource processor (value `"org.eclipse.jdt.ui.DeleteProcessor"`). The delete processor loads the following participants, depending on the type of element that gets deleted:

- `IJavaProject`: participants registered for deleting `IJavaProject` and `IProject`.
- `IPackageFragmentRoot`: participants registered for deleting `IPackageFragmentRoot` and `IFolder`.
- `IPackageFragment`: participants registered for deleting `IPackageFragment`. Additionally delete file and delete folder participants are loaded to reflect the resource changes caused by deleting a package fragment.
- `ICompilationUnit`: participants registered for deleting compilation units and files. Additionally type delete participants are loaded to reflect the deletion of the top level types declared in the compilation unit.
- `IType`: participants registered for deleting types. Additional compilation unit and file delete participants are loaded if the type to be deleted is the only top level type of a compilation unit.
- `IMember`: participants registered for deleting members.
- `IResource`: participants registered for deleting resources.

See Also:
  Constant Field Values

#### COPY_PROCESSOR

    static final String COPY_PROCESSOR

Processor ID of the copy processor (value `"org.eclipse.jdt.ui.CopyProcessor"`). The copy processor is used when copying elements via drag and drop or when pasting elements from the clipboard. The copy processor loads the following participants, depending on the type of the element that gets copied:

- `IJavaProject`: no participants are loaded.
- `IPackageFragmentRoot`: participants registered for copying `IPackageFragmentRoot` and `ResourceMapping`.
- `IPackageFragment`: participants registered for copying `IPackageFragment` and `ResourceMapping`.
- `ICompilationUnit`: participants registered for copying `ICompilationUnit` and `ResourceMapping`.
- `IType`: like ICompilationUnit if the primary top level type is copied. Otherwise no participants are loaded.
- `IMember`: no participants are loaded.
- `IFolder`: participants registered for copying folders.
- `IFile`: participants registered for copying files.

Use the method `ResourceMapping.accept(ResourceMappingContext context, IResourceVisitor visitor, IProgressMonitor monitor)` to enumerate the resources which form the Java element. `ResourceMappingContext.LOCAL_CONTEXT` should be use as the `ResourceMappingContext` passed to the accept method.

Since:
  3.3
See Also:
  `ResourceMapping`, Constant Field Values